module Web
  class Application < Lotus::Application
    configure do
      root __dir__

      routes 'config/routes'

      load_paths << [
        'controllers',
        'views'
      ]

      layout :application

      controller.prepare do

      end

      security.x_frame_options "DENY"
      security.content_security_policy "default-src 'none'; script-src 'self'; connect-src 'self'; img-src 'self'; style-src 'self';"

      configure :test do
        handle_exceptions false
      end
    end
  end
end
