require 'rubygems'
require 'bundler/setup'
require 'lotus/setup'
require 'rom-lotus'

require_relative '../lib/dummy'
require_relative '../apps/web/application'

Lotus::Container.configure do
  mount Web::Application, at: '/'

  ROM::Lotus.setup(Web::Application) do |setup|
    setup.repositories[:default] = [:sql, "sqlite:///tmp/test.sqlite"]
  end
end
