if RUBY_ENGINE == 'rbx'
  require "codeclimate-test-reporter"
  CodeClimate::TestReporter.start
end

begin
  require 'byebug'
rescue LoadError
end

root = Pathname(__FILE__).join('../../').expand_path
$LOAD_PATH.unshift(root.join('spec/dummy/spec'))

require 'database_cleaner'

Dir[root.join("spec/support/**/*.rb")].each { |f| require f }

RSpec.configure do |config|
  config.order = "random"

  config.before(:all) do
    # DatabaseCleaner.clean_with(:truncation)
  end
end

def rom
  ROM.env
end
